AQ(4)

NAME
aq - Aquantia AQC1xx 1Gb/2.5Gb/5Gb/10Gb PCIe Ethernet device

SYNOPSIS
aq* at pci?

DESCRIPTION
The aq driver provides support for the Aquantia AQC1xx family of Ethernet adapters.

The aq driver supports the following media types:

autoselect
    Enables auto-negotiation for speed and duplex.

100baseTX mediaopt full-duplex
    Sets 100Mbps operation.

1000baseT
    Sets 1000Mbps operation.

2500baseT
    Sets 2.5Gbps operation.

5000baseT
    Sets 5Gbps operation.

10GbaseT
    Sets 10Gbps operation.

For more information on configuring this device, see ifconfig(8).

SEE ALSO
arp(4), gcu(4), ifmedia(4), intro(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The aq device driver first appeared in OpenBSD 7.0.

AUTHORS
The aq driver was written by Mike Larkin <mlarkin@openbsd.org> and Jonathan Matthew <jmatthew@openbsd.org>

BUGS
This driver only supports devices using Aquantia firmware version 2.